// Name
// Student ID

let dancer;
let mode = 0;

function preload() {
  dancer = loadImage( "data/dancer.svg" );
}

function setup()
{
  createCanvas( 500, 500 );
}

// This one is provided: draw a single dancer roughly in
// the centre of the sketch window.
function drawMode0()
{
  push();
  translate( 150, 150 );
  scale( 0.5, 0.5 );
  image( dancer, 0, 0 );
  pop();
}

// Draw a 5x5 grid of dancers, all upright
function drawMode1()
{
}

// Draw two rows of dancers, one upright and one flipped
// upside down.
function drawMode2()
{
}

// Draw a large dancer with smaller dancers
// perched on her.
function drawMode3()
{
}

// Use drawMode3() to get two families of dancers
// facing each other.
function drawMode4()
{
}

function draw()
{
  background( 255 );
  if ( mode == 0 ) {
    drawMode0();
  } else if ( mode == 1 ) {
    drawMode1();
  } else if ( mode == 2 ) {
    drawMode2();
  } else if ( mode == 3 ) {
    drawMode3();
  } else if ( mode == 4 ) {
    drawMode4();
  }

  fill( 0, 0, 200 );
  text( "Mode " + mode, 10, 20 );
  noLoop();
}

// Press a key to cycle through modes.
function keyPressed()
{
  if ( key == 'p' ) {
    save( "output_" + mode + ".png" );
  } else if ( key == ' ' ) {
    mode = (mode + 1) % 5;
    loop();
  }
}